/**
 * Copyright (c) OpenLens Maintainers. All rights reserved.
 * Licensed under MIT License. See LICENSE in root directory for more information.
 */
import type { KubeObjectStoreDependencies, KubeObjectStoreOptions } from "../../../common/k8s-api/kube-object.store";
import { KubeObjectStore } from "../../../common/k8s-api/kube-object.store";
import type { KubeEvent, KubeObject } from "@openlens/kube-object";
import type { GetPodById } from "../workloads-pods/get-pod-by-id.injectable";
import type { KubeEventApi } from "../../../common/k8s-api/endpoints";
export interface EventStoreDependencies extends KubeObjectStoreDependencies {
    getPodById: GetPodById;
}
export declare class EventStore extends KubeObjectStore<KubeEvent, KubeEventApi> {
    protected readonly dependencies: EventStoreDependencies;
    readonly limit: number;
    constructor(dependencies: EventStoreDependencies, api: KubeEventApi, opts?: KubeObjectStoreOptions);
    protected bindWatchEventsUpdater(): void;
    protected sortItems(items: KubeEvent[]): KubeEvent[];
    getEventsByObject(obj: KubeObject): KubeEvent[];
    getWarnings(): KubeEvent[];
    getWarningsCount(): number;
}
